# -*- coding: utf-8 -*-
# Copyright (C) 2018, Jens W. Wulf
# http://www.jotwewe.de/de/xmpp/jabrss

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 dated June, 1991.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
# USA

class Plugins:

    @staticmethod
    def subscribe_whole_word(jrs, user, resource, strWhat, plugin, vDefaultFilter):
        if resource != None:
            vFilter = user.get_filter_strings(resource.id())
            if len(vFilter) > 0:
                bNew = False
            else:
                vFilter = vDefaultFilter
                bNew = True
        else:
            vFilter = vDefaultFilter
            bNew = True
        strFilter = '+ \\b' + strWhat + '\\b'
        if strFilter in vFilter:
            return ['You are already subscribed to ' + strWhat + '@' + plugin.name()]
        else:
            vFilter.append(strFilter)            
            jrs._process_set_filter(user, plugin.url(), '\n'.join(vFilter))
            if bNew == False:
                jrs._process_resend(user, plugin.url())
            return ['Done.']
        
    @staticmethod
    def unsubscribe_whole_word(jrs, user, resource, strWhat, plugin):
        if resource == None:
            return ['You are not subscribed to anything @' + plugin.name()]
        
        vFilter = user.get_filter_strings(resource.id())
        strFilter = '+ \\b' + strWhat + '\\b'
        if strFilter in vFilter:
            vFilter.remove(strFilter)
            jrs._process_set_filter(user, plugin.url(), '\n'.join(vFilter))
            return ['Done.']
        else:
            return ['You are not subscribed to ' + strWhat + '@' + plugin.name()]
        
        
