# Copyright (C) 2001-2011, Christof Meerwald
#               2018, Jens W. Wulf
# http://jabrss.cmeerw.org, http://www.jotwewe.de/de/xmpp/jabrss

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 dated June, 1991.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
# USA

import sqlite3, sys, time

# Global variables:
storage     = None
logger      = None
db          = None
main_res_db = None
dummy_user  = None
db_sync     = None

def log_message_info(*msg):
    global logger
    if sys.version_info[0] == 2:
        data = map(lambda x: unicode(x), msg)
    else:
        data = msg
    logger.info(b' '.decode('ascii').join(data))

def log_message_err(*msg):
    global logger
    if sys.version_info[0] == 2:
        data = map(lambda x: unicode(x), msg)
    else:
        data = msg
    logger.error(b' '.decode('ascii').join(data))

def get_db():
    db = sqlite3.Connection('jabrss.db', 60000)
    db.isolation_level = None
    db.cursor().execute('PRAGMA synchronous=NORMAL')

    return db

def get_week_nr():
    t = int(time.time())
    gmtime = time.gmtime(t)

    # converting old entries:
    # 1775 + x/7; 1827 + x/7
    week_nr = t - ((gmtime[3]*60 + gmtime[4])*60 + gmtime[5])
    week_nr -= gmtime[6]*24*60*60
    week_nr += 84*60*60
    week_nr //= 7*24*60*60

    return week_nr

