# Copyright (C) 2001-2011, Christof Meerwald
#               2018, Jens W. Wulf
# http://jabrss.cmeerw.org, http://www.jotwewe.de/de/xmpp/jabrss

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 dated June, 1991.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
# USA



TEXT_WELCOME = '''\
Welcome to JabRSS. Please note that the current privacy policy is quite simple: all your data are belong to me and might be sold to your favorite spammer. :-) For more information, please visit the JabRSS Web site at http://jabrss.cmeerw.org

BTW, if you like this service, you can help keeping it running by making a donation, see http://cmeerw.org/donate.html'''

TEXT_NEWUSER = '''

Now there is only one more thing to do before you can use JabRSS: you have to authorize the presence subscription request from JabRSS. This is necessary so that JabRSS knows your presence status and only sends you RSS headlines when you are online.'''

TEXT_HELP = '''\
Supported commands:

subscribe http://host.domain/path/feed.rss
unsubscribe http://host.domain/path/feed.rss
info http://host.domain/path/feed.rss
resend http://host.domain/path/feed.rss
list
show plugins
help filter
set ( plaintext | chat | headline )
set also_deliver [ Away ] [ XA ] [ DND ]
set header [ Title ] [ URL ]
set subject  [ Title ] [ URL ]
set size_limit <num>
set store_messages <num>
set filter http://host.domain/path/feed.rss ...
configuration
show statistics
show usage

Please refer to the JabRSS command reference at http://dev.cmeerw.org/jabrss/Documentation for more information.

And of course, if you like this service you might also consider a donation, see http://cmeerw.org/donate.html'''

TEXT_HELP_FILTER = '''\
Setting a filter on a feed enables you to suppress or to only receive certain feed items. It works by searching for regular expressions.

To set a filter you need to send a message which contains line breaks. 

For example by using 
set filter http://host.domain/path/feed.rss
  - .*
  + \\bforecast\\b
  + foo
you will only receive feed items which contain the word forecast or which contain foo as a word or as part of a word.

To only exclude certain news items, such as those containing the words soccer or football:
set filter http://host.domain/path/feed.rss
  - \\bsoccer\\b
  - \\bfootball\\b

The first (non-space) character in each filter line determines whether this filter includes (+) or excludes (-) items, an optional 'c' in the following column makes the search case sensitive.
The order of filter lines does not matter; an item passes the filter if any include line matches or there is no exclude line matching it.
The regular expression starts after the space. 
For information about regular expressions see https://docs.python.org/3/library/re.html

In order to test the filter, use 
resend http://host.domain/path/feed.rss'''

TEXT_HELP_SUBSCRIBE1 = '''\
Maybe you meant to type
subscribe '''
TEXT_HELP_SUBSCRIBE2 = '''
in order to subscribe to this URL?'''

TEXT_SUBSCRIBE_EMPTY = '''\
You need to supply the URL of a feed with a subscribe command. Type 'help' to get more information.'''

TEXT_UNKNOWN_CMD = '''\
Unknown command. Please refer to the documentation at http://dev.cmeerw.org/jabrss/Documentation'''

TEXT_LAST_REPLY = '''\
This is my last reply to an unknown command. I'll answer again once you send a valid command.'''

