# -*- coding: utf-8 -*-
# Copyright (C) 2018, Jens W. Wulf
# http://www.jotwewe.de/de/xmpp/jabrss

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 dated June, 1991.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
# USA

import Plugins

class Plugin:
    def name(self):
        return 'kvv.de'
        
    def describe(self):
        return 'Newsticker des Karlsruher Verkehrsverbundes, https://www.kvv.de/'

    def url(self):
        return 'https://www.kvv.de/ticker_rss.xml'
    
    def help(self):
        return '''Beispiele: 
        subscribe S5@kvv.de
        unsubscribe S5@kvv.de
        unsubscribe @kvv.de'''

    def subscribe(self, jrs, user, resource, strWhat):
        return Plugins.Plugins.subscribe_whole_word(jrs, user, resource, strWhat, self, ['- .*', '+ \\balle\\b', '+ streik'])

    def unsubscribe(self, jrs, user, resource, strWhat):
        if len(strWhat) == 0:
            return jrs._process_unsubscribe(user, self.url())
        return Plugins.Plugins.unsubscribe_whole_word(jrs, user, resource, strWhat, self)
