# -*- coding: utf-8 -*-
# Copyright (C) 2018, Jens W. Wulf
# http://www.jotwewe.de/de/xmpp/jabrss

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 dated June, 1991.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
# USA

import Plugins

class Plugin:
    def __init__(self):
        self.url_basis = 'https://www.lebensmittelwarnung.de/bvl-lmw-de/opensaga/feed/alle/'
        self.url_alle  = self.url_basis + 'alle_bundeslaender.rss'
        
    def name(self):
        return 'lebensmittelwarnung.de'

    def describe(self):
        return 'Lebensmittelsicherheit: Warnungen und Information der Öffentlichkeit, http://www.lebensmittelwarnung.de'

    def url(self):
        return ''
    
    def help(self):
        return '''Beispiele: 
        subscribe @lebensmittelwarnung.de
        unsubscribe @lebensmittelwarnung.de
        subscribe baden_wuerttemberg@lebensmittelwarnung.de
        unsubscribe baden_wuerttemberg@lebensmittelwarnung.de
Alle Bundesländer werden klein geschrieben, mit umschriebenen Umlauten und Unterstrich anstelle Bindestrich.'''

    def subscribe(self, jrs, user, resource, strWhat):
        if len(strWhat) == 0:
            return jrs._process_subscribe(user, self.url_alle)
        else:
            return jrs._process_subscribe(user, self.url_basis + strWhat + '.rss')
            # return ['Diese Bundesland kenne ich nicht.']

    def unsubscribe(self, jrs, user, resource, strWhat):
        if len(strWhat) == 0:
            return jrs._process_unsubscribe(user, self.url_alle)
        else:
            return jrs._process_unsubscribe(user, self.url_basis + strWhat + '.rss')
            # return ['Diese Bundesland kenne ich nicht.']
